Subject: Re: little endian page mapping on PQ3

From: Jose Almeida <[email-masked]>
Date: Fri, 24 Aug 2007 15:08:33 +0200

Sylvain,

Thanks for the information... I will try this.

What I really need to do is to map these pages at user level (these
pages will be contiguous pages, because they are used for DMA purpose).

I want to do using an mmap() entry point in a driver, in order to map
this to the user. Of course in that case ioremap() does not work.

Any Clue ?

Thanks - Jose

Joyeau Sylvain wrote:

Jose,

You are right, PQ3 supports endianess choice on a per page basis.
Without any hook in Linux, you can remap physical address range (but RAM), by calling __ioremap() with the "_PAGE_ENDIAN" bit set in the flags.

--
sj

-----Original Message-----
From:
linuxppc-embedded-bounces+sylvain.joyeau=[email-masked]
g
[mailto:linuxppc-embedded-bounces+sylvain.joyeau=thomson.net@o
zlabs.org] On Behalf Of Jose Almeida
Sent: vendredi 24 août 2007 09:59
To: [email-masked]
Subject: little endian page mapping on PQ3

Hi all,

Looking at PQ3 documentation, it looks like there is a way to select
on a page basis if we would like to map one particular page in BIG or
LITTLE endian.
This is a very nice feature when you need to exchange some data
between a PC and a PQ3 target.

I am wondering if someone have already tryed this PQ3 feature ?
I guess this would require some kind of hook in the kernel ...

Any clue ?

Thanks - Jose

_______________________________________________
Linuxppc-embedded mailing list
[email-masked]
https://ozlabs.org/mailman/listinfo/linuxppc-embedded

_______________________________________________
Linuxppc-embedded mailing list
[email-masked]
https://ozlabs.org/mailman/listinfo/linuxppc-embedded

--

Meet us at our next event:

MAKS - August 21-26, 2007
Moscow, Russia
http://www.aviasalon.com

TechTalk Hamburg - September 26, 2007
Hamburg, Germany
http://www.sysgo.com/news-events/events

MAE - October 20, 2007
Gaydon, United Kingdom
http://www.mae-show.com/